# $Revision: 1.18 $, $Date: 2006/11/30 16:49:30 $
%include	/usr/lib/rpm/macros.perl
Summary:	File copying over the Object Exchange (OBEX) protocol
Summary(pl):	Kopiowanie plikw z wykorzystaniem protokou Object Exchange (OBEX)
Name:		obexftp
Version:	0.20
Release:	2
License:	GPL v2
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/openobex/%{name}-%{version}.tar.bz2
# Source0-md5:	86224a7a1880c25e9ba0b8997a97d299
Patch0:		%{name}-no_server.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-perl.patch
Patch3:		%{name}-py-m4.patch
URL:		http://triq.net/obex/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	libtool
BuildRequires:	openobex-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free open source application for file copying over the Object Exchange
(OBEX) protocol.

%description -l pl
Wolnodostpna aplikacja suca do kopiowania plikw z wykorzystaniem
protokou Object Exchange (OBEX).

%package libs
Summary:	ObexFTP libraries
Summary(pl):	Biblioteki ObexFTP
Group:		Libraries

%description libs
ObexFTP libraries.

%description libs -l pl
Biblioteki ObexFTP.

%package devel
Summary:	Header files for ObexFTP
Summary(es):	Ficheros de cabecera para ObexFTP
Summary(pl):	Pliki nagwkowe ObexFTP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez-libs-devel
Requires:	openobex-devel

%description devel
The header files are only needed for development of programs based on
ObexFTP.

%description devel -l pl
W pakiecie tym znajduj si pliki nagwkowe, przeznaczone do
rozwijania programw bazujcych na bibliotekach ObexFTP.

%package static
Summary:	Static ObexFTP library
Summary(es):	Biblioteca esttica de ObexFTP
Summary(pl):	Biblioteka statyczna ObexFTP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ObexFTP library.

%description static -l pl
Biblioteka statyczna ObexFTP.

%package -n perl-obexftp
Summary:	Perl binding for ObexFTP library
Summary(pl):	Wizanie Perla dla biblioteki ObexFTP
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}

%description -n perl-obexftp
Perl binding for ObexFTP library.

%description -n perl-obexftp -l pl
Wizanie Perla dla biblioteki ObexFTP.

%package -n python-obexftp
Summary:	Python binding for ObexFTP library
Summary(pl):	Wizanie Pythona dla biblioteki ObexFTP
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-obexftp
Python binding for ObexFTP library.

%description -n python-obexftp -l pl
Wizanie Pythona dla biblioteki ObexFTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/OBEXFTP/.packlist
rm -f $RPM_BUILD_ROOT%{py_sitedir}/obexftp/_obexftp.{la,a}
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/obexftp/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/obexftp*.html README* NEWS THANKS TODO AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-obexftp
%defattr(644,root,root,755)
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/auto/OBEXFTP
%attr(755,root,root) %{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.so
%{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.bs

%files -n python-obexftp
%defattr(644,root,root,755)
%dir %{py_sitedir}/obexftp
%attr(755,root,root) %{py_sitedir}/obexftp/_obexftp.so
%dir %{py_sitescriptdir}/obexftp
%{py_sitescriptdir}/obexftp/__init__.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obexftp.spec,v $
Revision 1.18  2006/11/30 16:49:30  glen
- rel 2

Revision 1.17  2006/10/23 23:33:41  glen
- add -py-m4.patch existing script scanned whole /usr/lib to find lib from /usr/lib

Revision 1.16  2006/09/10 11:28:08  qboosh
- devel deps

Revision 1.15  2006/09/10 11:15:00  qboosh
- added link,perl patches, killed as-needed filterout
- build perl and python bindings

Revision 1.14  2006/09/10 07:54:40  qboosh
- unified sf URL

Revision 1.13  2006/08/27 14:26:16  japhy
- Fix typo in Source0:, STBR.

Revision 1.12  2006/08/27 14:19:52  japhy
- Up to 0.20, new download site
- Dropped obsolete Patch1
- Filter out --as-needed

Revision 1.11  2006/08/27 10:38:00  arekm
- rebuild with new bluez-libs

Revision 1.10  2005/09/24 12:25:27  darekr
- strict deps

Revision 1.9  2005/09/24 12:05:44  blues
- libs subpackage needs ldconfig

Revision 1.8  2005/09/24 06:02:14  aredridel
- fix pl desc

Revision 1.7  2005/09/23 20:51:27  blues
- strict requires

Revision 1.6  2005/09/23 20:45:24  blues
- release 2 - include_uuid patch - include uuid.h, rebuild with bluetooth
  support.

Revision 1.5  2005/09/23 19:48:01  blues
- 0.10.7

Revision 1.4  2003/11/30 11:21:32  qboosh
- md5, BR: ac,am,lt

Revision 1.3  2003/11/30 00:59:33  ankry
- pl

Revision 1.2  2003/11/28 20:07:38  jajcus
- adapterized

Revision 1.1  2003/11/28 20:06:39  jajcus
- new spec (/me has got new phone :) )
